(reset_notify): Release the application context and
[gnupg.git] / configure.ac
index 12ff0d7..f47ef1f 100644 (file)
 
 # Process this file with autoconf to produce a configure script.
 AC_PREREQ(2.52)
+min_automake_version="1.7.6"
+
 # Version number: Remember to change it immediately *after* a release.
 #                 Add a "-cvs" prefix for non-released code.
-AC_INIT(gnupg, 1.9.2-cvs, gnupg-devel@gnupg.org)
+AC_INIT(gnupg, 1.9.4-cvs, gnupg-devel@gnupg.org)
 # Set development_version to yes if the minor number is odd or you
 # feel that the default check for a development version is not
 # sufficient.
 development_version=yes
-NEED_GPG_ERROR_VERSION=0.4
-NEED_LIBGCRYPT_VERSION=1.1.43
-NEED_LIBASSUAN_VERSION=0.6.0
-NEED_KSBA_VERSION=0.4.6
+NEED_GPG_ERROR_VERSION=0.6
+NEED_LIBGCRYPT_VERSION=1.1.91
+NEED_LIBASSUAN_VERSION=0.6.3
+NEED_KSBA_VERSION=0.9.2
 NEED_OPENSC_VERSION=0.8.0
 
 
 PACKAGE=$PACKAGE_NAME
 VERSION=$PACKAGE_VERSION
 
-AM_GNU_GETTEXT_VERSION(0.11.5)
-
 AC_CONFIG_AUX_DIR(scripts)
 AC_CONFIG_SRCDIR(sm/gpgsm.c)
 AM_CONFIG_HEADER(config.h)
@@ -354,6 +354,7 @@ AM_CONDITIONAL(HAVE_DOSISH_SYSTEM, test "$have_dosish_system" = yes)
 # Checks for libraries.
 #
 
+
 #
 # libgpg-error is a library with error codes shared between GnuPG
 # related projects.
@@ -600,10 +601,6 @@ case "${target}" in
     *-linux*)
         PRINTABLE_OS_NAME="GNU/Linux"
         ;;
-dnl let that after linux to avoid gnu-linux problems
-    *-gnu*)
-        PRINTABLE_OS_NAME="GNU/Hurd"
-        ;;
     *)
         PRINTABLE_OS_NAME=`uname -s || echo "Unknown"`
         ;;
@@ -612,6 +609,7 @@ AC_DEFINE_UNQUOTED(PRINTABLE_OS_NAME, "$PRINTABLE_OS_NAME",
                    [A human readable text with the name of the OS])
 
 
+AM_GNU_GETTEXT_VERSION(0.12.1)
 if test "$try_gettext" = yes; then
   AM_GNU_GETTEXT(,[need-ngettext])
 
@@ -690,7 +688,7 @@ AC_FUNC_FSEEKO
 AC_FUNC_VPRINTF
 AC_FUNC_FORK
 AC_CHECK_FUNCS(strerror stpcpy strsep strlwr tcgetattr strtoul mmap)
-AC_CHECK_FUNCS(strcasecmp strncasecmp ctermid times)
+AC_CHECK_FUNCS(strcasecmp strncasecmp ctermid times gmtime_r)
 AC_CHECK_FUNCS(memmove gettimeofday getrusage setrlimit clock_gettime)
 AC_CHECK_FUNCS(atexit raise getpagesize strftime nl_langinfo setlocale)
 AC_CHECK_FUNCS(waitpid wait4 sigaction sigprocmask rand pipe stat getaddrinfo)
@@ -700,7 +698,7 @@ AC_CHECK_TYPES([struct sigaction, sigset_t],,,[#include <signal.h>])
 # These are needed by libjnlib - fixme: we should have macros for them
 AC_CHECK_FUNCS(memicmp stpcpy strlwr strtoul memmove stricmp strtol)
 AC_CHECK_FUNCS(getrusage setrlimit stat setlocale)
-AC_CHECK_FUNCS(flockfile funlockfile)
+AC_CHECK_FUNCS(flockfile funlockfile fopencookie funopen)
 
 AC_REPLACE_FUNCS(vasprintf)
 AC_REPLACE_FUNCS(fopencookie)
@@ -711,6 +709,7 @@ AC_REPLACE_FUNCS(putc_unlocked)
 
 
 
+
 #
 # check for gethrtime and run a testprogram to see whether
 # it is broken.  It has been reported that some Solaris and HP UX systems 
@@ -895,6 +894,7 @@ esac
 if test "$GCC" = yes; then
     if test "$USE_MAINTAINER_MODE" = "yes"; then
         CFLAGS="$CFLAGS -Wall -Wcast-align -Wshadow -Wstrict-prototypes"
+        CFLAGS="$CFLAGS -Wformat-nonliteral"
     else
         CFLAGS="$CFLAGS -Wall"
     fi
@@ -952,7 +952,7 @@ if test "$have_ksba" = "no"; then
 ***
 *** You need libksba to build this program.
 *** This library is for example available at
-***   ftp://ftp.gnupg.org/pub/gcrypt/alpha/aegypten/
+***   ftp://ftp.gnupg.org/pub/gcrypt/alpha/libksba/
 *** (at least version $NEED_KSBA_VERSION is required).
 ***]])
 fi
@@ -1073,10 +1073,11 @@ g10/Makefile
 sm/Makefile
 agent/Makefile
 scd/Makefile
+tools/Makefile
 doc/Makefile
+tests/Makefile
 ])
 AC_OUTPUT
-#tests/Makefile
 
 
 echo "